Skip to Content
EIS
API Referencev1Services

Get IP Classes by Provider

GET
/v1/service/org/ip-classes

Retrieve IPv4 and IPv6 service profiles available for a provider. Requires the circuits_view authority.

Query Parameters

providerId*integer

Service provider identifier.

organizationId?integer

Organization identifier. Use 0 to resolve it from the authenticated user.

Formatint64
Default0
type?string

Optional IP class type filter.

Response Body

IP class catalog retrieved successfully.

application/json
  1. response
ipServiceProvider?|null
ipv4*array<>
ipv6*array<>
Example Request
curl -X GET 'https://api.eis.it/v1/service/org/ip-classes?providerId=0'
Example Response
{  "ipServiceProvider": {    "id": 0,    "name": "string"  },  "ipv4": [    {      "id": 0,      "name": "string"    }  ],  "ipv6": [    {      "id": 0,      "name": "string"    }  ]}